Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Settlements

List settlement transfers

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/settlements/transfers

List settlement transfers. Settlement transfers models the actual bank payouts from the acquirer to your bank.

Relationship to other components

  • Settlement Transfer: A bank transfer / payout / settlement from the acquirer to your bank.
  • Settlement Transaction: Settlement data for a specific transaction, can be related to an ePay transaction if the transaction was made through ePay.
  • Adjustments: Any modifications the acquirer makes to the transaction amount, before arriving at the net amount being paid out. This includes both transaction, settlement and service fees, but also any reimbursements or currency exchange fees.
  • Transactions: An ePay transaction. If an acquirer transaction within the settlement data was processed through ePay, it will be linked to the Settlement Transaction.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

perPageinteger

Maximum number of results to return in the response.

Default:
25
Range:
1 <= value <= 500
offsetstring

Cursor returned by nextOffset. Omit or pass an empty string to fetch the first page.

Example:
"019b3168-9334-770c-b34f-829d3c9c65d1"

Response Body

application/json

curl -X GET "https://example.com/public/api/v1/settlements/transfers"
{  "currentOffset": "",  "nextOffset": "019b3168-9334-770c-b34f-829d3c9c65d1",  "perPage": 25,  "hasMore": false,  "items": [    {      "settlementTransfer": {        "id": "019b3130-5d58-716d-8881-9a3ec506017f",        "acquirer": "shift4",        "settlementName": "settlement.csv",        "settlementIds": [          [            "R01234"          ]        ],        "postingDate": "2025-01-01",        "netAmount": "99.01",        "currency": "DKK",        "acquirerReference": "acq-123",        "adjustments": [          {            "type": "FEE",            "amount": "-1.00",            "description": "discount_rate"          }        ],        "adjustmentSums": [          {            "type": "FEE",            "amount": "-1.00",            "description": "discount_rate"          }        ],        "createdAt": "2025-12-18T11:20:11Z"      }    }  ]}
Empty
Empty